//+------------------------------------------------------------------+
//|                                                       Close Line |
//|                                      Copyright  2005 adoleh2000 |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2005 dwt5 and adoleh2000 "
#property  link      "http://www.metaquotes.net/"

//---- indicator settings
#property  indicator_chart_window
#property  indicator_buffers 2            
#property indicator_color1 Red      
#property indicator_color2 Blue
#property indicator_width1 2      
#property indicator_width2 2




//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];



int width;

extern int Rperiod = 15;
extern int LSMA_Period = 5;
extern int BarstoDraw = 300;

int Draw4HowLong;
int shift;
int loopbegin;
int length;
int lsma_length;

double lsma[];
double ma[];
double lsma_ma[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- 7 additional buffers are used for counting.
   IndicatorBuffers(5);   
   
//---- drawing settings
   
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(0,DRAW_ARROW,0,2);
   SetIndexArrow(0,159);
   
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(1,DRAW_ARROW,0,2);
   SetIndexArrow(1,159);
   
   SetIndexBuffer(2,lsma);
   SetIndexBuffer(3,lsma_ma);
   SetIndexBuffer(4,ma);
   
   
//---- initialization done
   return(0);
  }

int start()

  {   Draw4HowLong = BarstoDraw-Rperiod - 5;                            //Rperiod = 20
      length = Rperiod;                                           //length now = 20  
      lsma_length = LSMA_Period;
      loopbegin = Draw4HowLong - length - 1;   
      

      for(shift = loopbegin; shift >= 0; shift--)  //  MAIN For Loop
      { 
         //lsma[shift]=iMA(NULL,0,9,0,MODE_LWMA,PRICE_WEIGHTED,shift);
         lsma[shift] = iCustom(NULL,0,"LSMA",length,1500,4,shift);
         //lsma_ma[shift] =iMAOnArray(lsma,0,15,0,MODE_EMA,shift);Goal:	


         ma[shift] = Close[shift];
         
                          
//========== COLOR CODING ===========================================                       
        
        
            ExtMapBuffer1[shift] = ma[shift]; 
            ExtMapBuffer2[shift] = ma[shift]; 
                    
                   
            
            if (ma[shift]  < lsma[shift])
            {
                ExtMapBuffer2[shift] = EMPTY_VALUE;
            }          
            
       
        }
  }
//+------------------------------------------------------------------+



